rte_eth_rxmode(3)

NAME
rte_eth_rxmode

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_rx_mq_mode mq_mode
uint32_t mtu
uint32_t max_lro_pkt_size
uint64_t offloads
uint64_t reserved_64s [2]
void * reserved_ptrs [2]

Detailed Description

A structure used to configure the Rx features of an Ethernet port.

Definition at line 455 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_rx_mq_mode mq_mode
The multi-queue packet distribution mode to be used, e.g. RSS.

Definition at line 457 of file rte_ethdev.h.

  uint32_t mtu
Requested MTU.

Definition at line 458 of file rte_ethdev.h.

  uint32_t max_lro_pkt_size
Maximum allowed size of LRO aggregated packet.

Definition at line 460 of file rte_ethdev.h.

  uint64_t offloads
Per-port Rx offloads to be set using RTE_ETH_RX_OFFLOAD_* flags. Only offloads set on rx_offload_capa field on rte_eth_dev_info structure are allowed to be set.

Definition at line 466 of file rte_ethdev.h.

  uint64_t reserved_64s[2]
Reserved for future fields

Definition at line 468 of file rte_ethdev.h.

  void* reserved_ptrs[2]
Reserved for future fields

Definition at line 469 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.